%define major       6
%define libname     %mklibname %oname %major
%define develname   %mklibname %oname -d

%define oname       lscp

Name:          liblscp
Summary:       LinuxSampler Control Protocol (LSCP) wrapper library
Version:       0.9.11
Release:       %mkrel 1
License:       GPLv2
Group:         System/Libraries
URL:           http://www.linuxsampler.org/
Source0:       https://sourceforge.net/projects/qsampler/files/liblscp/%{version}/%{name}-%{version}.tar.xz
BuildRequires: cmake

%description
LinuxSampler Control Protocol (LSCP) wrapper library.

#--------------------------------------------------------------------

%package -n     %libname
Group:          System/Libraries
Summary:        Libraries for %name
Provides:       %name = %version-%release

%description -n %libname
LinuxSampler Control Protocol (LSCP) wrapper library.

%files -n %libname
%_libdir/liblscp.so.%{major}*

#--------------------------------------------------------------------

%package -n     %develname
Group:          Development/Libraries
Summary:        Libraries for %name
Requires:       %libname = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %develname
Development libraries from %oname.

%files -n %develname
%dir %_includedir/lscp
%_includedir/lscp/*.h
%_libdir/liblscp.so
%_libdir/pkgconfig/lscp.pc

#--------------------------------------------------------------------

%prep
%setup -q

%build

export CFLAGS="$CFLAGS -pipe -ffast-math"
export CXXFLAGS="$CXXFLAGS -pipe -ffast-math"

%cmake -DCMAKE_INSTALL_PREFIX=%{_usr} -DCMAKE_INSTALL_LIBDIR=%{_lib}

%cmake_build

%install
rm -rf %buildroot
%cmake_install

find %{buildroot} -name "*.la" -delete
rm -rf %buildroot/%{_datadir}/doc


%changelog
* Thu Sep 21 2023 tex - 0.9.11-1pclos2023
- new version

* Sun Mar 26 2023 tex - 0.9.9-1pclos2023
- new version

* Wed Dec 28 2022 tex - 0.9.8-1pclos2023
- new version

* Tue Jul 06 2021 tex - 0.9.4-1pclos2021
- new version

* Wed May 19 2021 tex - 0.9.3-1pclos2021
- new version

